summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid Rodríguez <deivid.rodriguez@riseup.net>2020-07-01 11:45:33 +0200
committerHiroshi SHIBATA <hsbt@ruby-lang.org>2020-07-31 21:07:19 +0900
commit6c71033ac3933cb23d9ee651ce864e164bc9b56f (patch)
tree62edd50ee95db365489772aa89ca5db129c65f2a
parent1b2bda72fcb765c0a1ca8991ad840d37ac27198d (diff)
[rubygems/rubygems] Remove more unnecessary requires
Since `rubygems/util` is autoloaded. https://github.com/rubygems/rubygems/commit/52a9f88b99
Notes
Notes: Merged: https://github.com/ruby/ruby/pull/3379
-rw-r--r--lib/rubygems/bundler_version_finder.rb2
-rw-r--r--lib/rubygems/commands/open_command.rb1
-rw-r--r--lib/rubygems/resolver.rb1
-rw-r--r--lib/rubygems/source/git.rb1
-rw-r--r--lib/rubygems/user_interaction.rb1
5 files changed, 0 insertions, 6 deletions
diff --git a/lib/rubygems/bundler_version_finder.rb b/lib/rubygems/bundler_version_finder.rb
index 56ca14f..9ce0a23 100644
--- a/lib/rubygems/bundler_version_finder.rb
+++ b/lib/rubygems/bundler_version_finder.rb
@@ -1,7 +1,5 @@
# frozen_string_literal: true
-require "rubygems/util"
-
module Gem::BundlerVersionFinder
def self.bundler_version
version, _ = bundler_version_with_reason
diff --git a/lib/rubygems/commands/open_command.rb b/lib/rubygems/commands/open_command.rb
index 7d24553..1e40758 100644
--- a/lib/rubygems/commands/open_command.rb
+++ b/lib/rubygems/commands/open_command.rb
@@ -1,7 +1,6 @@
# frozen_string_literal: true
require 'rubygems/command'
require 'rubygems/version_option'
-require 'rubygems/util'
class Gem::Commands::OpenCommand < Gem::Command
include Gem::VersionOption
diff --git a/lib/rubygems/resolver.rb b/lib/rubygems/resolver.rb
index 46b8aee..fa5f5e6 100644
--- a/lib/rubygems/resolver.rb
+++ b/lib/rubygems/resolver.rb
@@ -1,7 +1,6 @@
# frozen_string_literal: true
require 'rubygems/dependency'
require 'rubygems/exceptions'
-require 'rubygems/util'
require 'rubygems/util/list'
##
diff --git a/lib/rubygems/source/git.rb b/lib/rubygems/source/git.rb
index f06f3b0..9876adc 100644
--- a/lib/rubygems/source/git.rb
+++ b/lib/rubygems/source/git.rb
@@ -1,5 +1,4 @@
# frozen_string_literal: true
-require 'rubygems/util'
##
# A git gem for use in a gem dependencies file.
diff --git a/lib/rubygems/user_interaction.rb b/lib/rubygems/user_interaction.rb
index a5ebaf6..27a9957 100644
--- a/lib/rubygems/user_interaction.rb
+++ b/lib/rubygems/user_interaction.rb
@@ -5,7 +5,6 @@
# See LICENSE.txt for permissions.
#++
-require 'rubygems/util'
require 'rubygems/deprecate'
require 'rubygems/text'